Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List provenance

GET/workspaces/{organizationId}/provenance
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
repostring
shastring
filestring
branchstring
prUrlstring
issueIdstring
limitstring
Responses
200

Provenance: issues, lane sessions (with review convergence), touched files, commit shas, and memory facts explaining the queried artifact

queryobjectrequired
entriesobject[]required
whySummarystringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/provenance' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "query": {
    "property1": null,
    "property2": null
  },
  "entries": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "whySummary": "string"
}

Was this page helpful?